#!/usr/bin/env python2.5
#
# This file is part of MobileVDR, a VDR client for Maemo
#
# (c) 2007 Thomas Schmidt <tschmidt@debian.org>
#
# This code is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This code is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MobileVDR. If not, see <http://www.gnu.org/licenses/>.
#

import gtk
import os

MOBILEVDR_VERSION         = '0.0.7'

GCONF_KEY_VDRHOST         = '/apps/mobilevdr/vdrhost'
GCONF_KEY_MAXCHANNELS     = '/apps/mobilevdr/maxchannels'
GCONF_KEY_MPLAYER_COMMAND = '/apps/mobilevdr/mplayer_command'

DATABASE_PATH             = os.path.expanduser('~/.mobilevdr.db')

LOGO_IMAGE = '/usr/share/mobilevdr/mobilevdr_logo.png'

BTN_TIMERS          = '/usr/share/mobilevdr/btn_timers.png'
BTN_TIMERS_ACT      = '/usr/share/mobilevdr/btn_timers_act.png'
BTN_SCHEDULE        = '/usr/share/mobilevdr/btn_schedule.png'
BTN_SCHEDULE_ACT    = '/usr/share/mobilevdr/btn_schedule_act.png'
BTN_STREAMING       = '/usr/share/mobilevdr/btn_streaming.png'
BTN_STREAMING_ACT   = '/usr/share/mobilevdr/btn_streaming_act.png'
BTN_REMOTE          = '/usr/share/mobilevdr/btn_remote.png'
BTN_REMOTE_ACT      = '/usr/share/mobilevdr/btn_remote_act.png'
BTN_RECORDINGS      = '/usr/share/mobilevdr/btn_recordings.png'
BTN_RECORDINGS_ACT  = '/usr/share/mobilevdr/btn_recordings_act.png'

BTN_CHANNEL       = '/usr/share/mobilevdr/btn_channel.xpm'
BTN_CHANNEL_WIDTH = 410

## From:
#
#   <http://maemo.org/lxr/source/hildon-libs/hildon-widgets/hildon-defines.h>
# (Should really be in `hildon` module or somewhere.)
#
HILDON_HARDKEY_UP         = gtk.keysyms.Up
HILDON_HARDKEY_LEFT       = gtk.keysyms.Left
HILDON_HARDKEY_RIGHT      = gtk.keysyms.Right
HILDON_HARDKEY_DOWN       = gtk.keysyms.Down
HILDON_HARDKEY_SELECT     = gtk.keysyms.Return
HILDON_HARDKEY_HOME       = gtk.keysyms.F5
HILDON_HARDKEY_ESC        = gtk.keysyms.Escape
HILDON_HARDKEY_FULLSCREEN = gtk.keysyms.F6
HILDON_HARDKEY_INCREASE   = gtk.keysyms.F7
HILDON_HARDKEY_DECREASE   = gtk.keysyms.F8
HILDON_HARDKEY_MENU       = gtk.keysyms.F10
##

# vim modeline:
# vim: set expandtab tabstop=2 shiftwidth=2 autoindent smartindent foldmethod=indent:
