#!/usr/bin/env python2.5
#
# This file is part of MobileVDR, a VDR client for Maemo
#
# (c) 2007 Thomas Schmidt <tschmidt@debian.org>
#
# This code is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This code is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MobileVDR. If not, see <http://www.gnu.org/licenses/>.
#

from gnome import gconf

def gconf_get_str(key, default = ''):
  val = gconf.client_get_default().get(key)
  if val is not None and val.type == gconf.VALUE_STRING:
    return val.get_string()
  else:
    return default

def gconf_set_str(key, value):
  v = gconf.Value(gconf.VALUE_STRING)
  v.set_string(value)
  gconf.client_get_default().set(key, v)

def gconf_get_int(key, default = 0):
  val = gconf.client_get_default().get(key)
  if val is not None and val.type == gconf.VALUE_INT:
    return val.get_int()
  else:
    return default

def gconf_set_int(key, value):
  v = gconf.Value(gconf.VALUE_INT)
  v.set_int(value)
  gconf.client_get_default().set(key, v)

def gconf_get_bool(key, default = False):
  val = gconf.client_get_default().get(key)
  if val is not None and val.type == gconf.VALUE_BOOL:
    return val.get_bool()
  else:
    return default

def gconf_set_bool(key, value):
  v = gconf.Value(gconf.VALUE_BOOL)
  v.set_bool(value)
  gconf.client_get_default().set(key, v)

# vim modeline:
# vim: set expandtab tabstop=2 shiftwidth=2 autoindent smartindent foldmethod=indent:
